# Edit profile

URL: https://docs.emergingtravel.com/docs/b2b-api/profiles/edit-profile/

Tags: b2b

---


```
https://api.worldota.net/api/b2b/v3/profiles/edit/
```

The call edits a contract profile.

## Request example

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/profiles/edit/' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "john.smith@example.com",
  "first_name": "John",
  "last_name": "Smith",
  "phone": "+4412344567899"
  "type": "manager"
}'
```

## Request body



[//]: # (email)
- **email** *(String, required)*

  <p>The profile email address.</p>


[//]: # (first_name)
- **first_name** *(String, required)*

  <p>The profile first name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (last_name)
- **last_name** *(String, required)*

  <p>The profile last name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (middle_name)
- **middle_name** *(String, optional)*

  <p>The profile middle name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (phone)
- **phone** *(String, optional)*

  <p>The profile phone number.</p>
  > [!NOTE]
  > * The minimum length is `5` characters.
  > * The maximum length is `35` characters.


[//]: # (type)
- **type** *(String, required)*

  <p>The profile type.</p>
  > [!NOTE]
  > * The possible values:
  >     * `csbt_admin`.
  >     * `employee`.
  >     * `finance`.
  >     * `manager`.
  >     * `master`.
  >     * `self_booker`.
  >     * `sub_agent_supervisor`.
  >     * `supervisor`.
  >     * `travel_manager`.





## Response



- **user** *([Object])*

  <p>The profile list.</p>
  <ul>
  <li>
  <p><strong>email</strong> <em>(String)</em></p>
  <p>The profile email address.</p>
  </li>
  <li>
  <p><strong>first_name</strong> <em>(String)</em></p>
  <p>The profile first name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.
  </li>
  <li>
  <p><strong>last_name</strong> <em>(String)</em></p>
  <p>The profile last name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.
  </li>
  <li>
  <p><strong>middle_name</strong> <em>(String)</em></p>
  <p>The profile middle name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.
  </li>
  <li>
  <p><strong>phone</strong> <em>(String)</em></p>
  <p>The profile phone number.</p>
  > [!NOTE]
  > * The minimum length is `5` characters.
  > * The maximum length is `35` characters.
  </li>
  <li>
  <p><strong>status</strong> <em>(String)</em></p>
  <p>The profile status.</p>
  > [!NOTE]
  > * The possible values:
  >     * `active`.
  >     * `awaiting_confirmation`.
  >     * `deleted`.
  >     * `disabled`.
  </li>
  <li>
  <p><strong>type</strong> <em>(String)</em></p>
  <p>The profile type.</p>
  > [!NOTE]
  > * The possible values:
  >     * `csbt_admin`.
  >     * `employee`.
  >     * `finance`.
  >     * `manager`.
  >     * `master`.
  >     * `self_booker`.
  >     * `sub_agent_supervisor`.
  >     * `supervisor`.
  >     * `travel_manager`.
  </li>
  </ul>





## Response example

```json
{
  "data":{
    "user":{
      "email":"john.smith@example.com",
      "first_name":"John",
      "last_name":"Smith",
      "middle_name":null,
      "phone":"+4412344567899",
      "status":"awaiting_confirmation",
      "type":"manager"
    }
  },
  "debug":null,
  "error":null,
  "status":"ok"
}
```

## Errors

The `error` field has the value specified in the headers below.

### `users_profile_not_found`

The profile isn’t found.
